package com.yovinchen.xlcs.acl.controller;

import com.yovinchen.xlcs.acl.service.AdminService;
import com.yovinchen.xlcs.common.result.Result;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * ClassName: IndexController
 * Package: com.yovinchen.xlcs.acl.controller
 *
 * @author yovinchen
 * @since 2023/9/13 18:00
 */

@Api(tags = "登录接口")
@RestController
@RequestMapping("/admin/acl/index")
public class IndexController {


    @Autowired
    private AdminService adminService;

    /**
     * 1、请求登陆的login
     */
    @PostMapping("login")
    public Result login(@RequestBody Map<String, String> loginRequest) {
        String username = loginRequest.get("username");
        String password = loginRequest.get("password");
        Map<String, Object> map = adminService.loginAdmin(username, password);
        return Result.ok(map);
    }

    /**
     * 2 获取用户信息
     */
    @GetMapping("info")
    public Result info(String token) {
        Map<String, Object> map = adminService.getInfo(token);
        return Result.ok(map);
    }

    /**
     * 3 退出
     */
    @PostMapping("logout")
    public Result logout() {
        return Result.ok(null);
    }
}
